| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
IG.Num.NeuralTrainingTableDto Class Reference

Transfer Object (DTO) for neural network training results. More...

Inheritance diagram for IG.Num.NeuralTrainingTableDto:
[legend]
Collaboration diagram for IG.Num.NeuralTrainingTableDto:
[legend]

## Public Member Functions
override NeuralTrainingTable | CreateObject ()
| Creates and returns a new object of the corresponding type. More...

## Public Attributes
NeuralTrainingLimitsDto | TrainingLimits
| Contains Parameters that define neural network architecture limits and trainig parameter limits. More...
NeuralTrainingParametersDto[] | TrainingParameters
| Contains Parameters that define neural network architecture and trainig procedure, together with achieved results after training such as various error norms. More...

## Protected Member Functions
override void | CopyFromPlain (NeuralTrainingTable trainingResults)
| Copies the specified training results to the current DTO. More...
override void | CopyToPlain (ref NeuralTrainingTable trainingResults)
| Copies contents of the current DTO to the specified training results object. More...
Protected Member Functions inherited from IG.Lib.SerializationDto< NeuralTrainingTable >
| SerializationDto ()

## Additional Inherited Members
Static Public Member Functions inherited from IG.Lib.SerializationDto< NeuralTrainingTable >
static ObjectType | CopyToObjectReturned< DtoType, ObjectType > (DtoType dto, ObjectType obj)
| Replacement for CopyToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyToObject< DtoType, ObjectType > (DtoType dto, ref ObjectType obj)
| Copies object state form the specified DTO (data transfer object) to the specified object. More...
static DtoType | CopyFromObjectReturned< DtoType, ObjectType > (ObjectType obj, DtoType dto)
| Replacement for CopyFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which object state is copied. More...
static void | CopyFromObject< DtoType, ObjectType > (ObjectType obj, ref DtoType dto)
| Copies object state form the specified object to the corresponding DTO (data transfer object). More...
static ObjectType[] | CopyArrayToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, ObjectType[] tabObj)
| Replacement for CopyArrayToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayToObject< DtoType, ObjectType > (DtoType[] tabDto, ref ObjectType[] tabObj)
| Copies array of DTOs (Data Transfer Objects) to an array of appropriate objects. More...
static DtoType[] | CopyArrayFromObjectReturned< DtoType, ObjectType > (ObjectType[] tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyArrayFromObject< DtoType, ObjectType > (ObjectType[] tabObj, ref DtoType[] tabDto)
| Copies array of objects to an array of DTOs. More...
static List< ObjectType > | CopyListToObjectReturned< DtoType, ObjectType > (DtoType[] tabDto, List< ObjectType > listObj)
| Replacement for CopyListToObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListToObject< DtoType, ObjectType > (DtoType[] tabDto, ref List< ObjectType > listObj)
| Copies array of DTOs (Data Transfer Objects) to a list of appropriate objects. More...
static DtoType[] | CopyListFromObjectReturned< DtoType, ObjectType > (List< ObjectType > tabObj, DtoType[] tabDto)
| Replacement for CopyArrayFromObject for cases where object can not be passed by reference. The returned object must be assigned to object (property, list element, etc.) to which data is copied. More...
static void | CopyListFromObject< DtoType, ObjectType > (List< ObjectType > tabObj, ref DtoType[] tabDto)
| Copies array of objects to a list of DTOs. More...

## Detailed Description

Transfer Object (DTO) for neural network training results.

$A Tako78 Aug12;

## Member Function Documentation

override NeuralTrainingTable IG.Num.NeuralTrainingTableDto.CreateObject | ( |  | ) |
| inline

Creates and returns a new object of the corresponding type.

override void IG.Num.NeuralTrainingTableDto.CopyFromPlain | ( | NeuralTrainingTable | trainingResults | ) |
| inline protected

Copies the specified training results to the current DTO.

Parameters

  trainingResults | Object that is copied to the current DTO.

References IG.Num.NeuralTrainingTable.TrainingLimits, and IG.Num.NeuralTrainingTable.TrainingParameters.

override void IG.Num.NeuralTrainingTableDto.CopyToPlain | ( | ref NeuralTrainingTable | trainingResults | ) |
| inline protected

Copies contents of the current DTO to the specified training results object.

Parameters

  trainingResults | Object that the current DTO content is copied to.

## Member Data Documentation

NeuralTrainingLimitsDto IG.Num.NeuralTrainingTableDto.TrainingLimits

Contains Parameters that define neural network architecture limits and trainig parameter limits.

NeuralTrainingParametersDto [] IG.Num.NeuralTrainingTableDto.TrainingParameters

Contains Parameters that define neural network architecture and trainig procedure, together with achieved results after training such as various error norms.

The documentation for this class was generated from the following file:

- igbase/numeric/approximation/neural/SerializationDtoNeural.cs